precision mediump float;

uniform sampler2D _unif_texture;
uniform vec2      _unif_res;

varying vec2 tex_coord;

void main() {
   vec4 mul0 = vec4(0.29411764705882354);
   vec2 off1 = vec2(0, 1.33333333333333333 / _unif_res.y);
   vec4 mul1 = vec4(0.35294117647058826);

   vec4 color = texture2D(_unif_texture, tex_coord) * mul0;
   color += texture2D(_unif_texture, tex_coord + off1) * mul1;
   color += texture2D(_unif_texture, tex_coord - off1) * mul1;
   gl_FragColor = color;
}
